REM *** MBASECOM 3.0 ***  MAG/base COMMON VARIABLES AND ROUTINES
REM
REM CB80 VERSION - COMMON FILE
REM
REM WRITTEN: 08/01/79  UPDATED: 05/23/82
REM
REM PROPRIETARY SOFTWARE OF:
REM  MICRO APPLICATIONS GROUP
REM  20201 SHERMAN WAY, SUITE 205
REM  CANOGA PARK, CA 91306
REM
REM  (C) COPYRIGHT MAG 1979-1982 ALL RIGHTS RESERVED
REM
%NOLIST

	COMMON PASSWORD$, \	*** MAG/base COMMON STATEMENT 3.0 ***
	   PASSCODE$, \		UPDATED 02/26/82
   	   STACKLEVEL%, \
	   PROGSTACK$(1), \	*** DO NOT CHANGE OR REMOVE STATEMENTS ***
	   DATASTACK$(1), \ 
	   CDR.CONAME$, \
	   CDR.COADDR1$, \
	   CDR.COADDR2$, \
	   CDR.COCITY$, \
	   CDR.COSTATE$, \
	   CDR.COZIP$,  \
	   HDR.HEAD$, \
	   FUNCTION$, \
	   EDR.SYSDATE$, \
	   EDR.PRTCOLS%, \
	   EDR.DISKS%, \
	   SYSDRIVE$, \    2.0
	   EDR.SYSBUF$, \  2.0
	   EDR.MAXRECL%, \ 3.0
%INCLUDE MBASETDR

	REM READ IN COMMON FILE IF NOT IN COMMON MEMORY (CB80)
	IF TDR.RTYP$="TDR" THEN GOTO .00009
	IF END # 20 THEN .00001
	   DIM PROGSTACK$(20),DATASTACK$(20)
	   OPEN "MBASECOM.DAT" AS 20
	   READ #20; CHNFLAG$, \
	      PASSWORD$,PASSCODE$,STACKLEVEL%, \
	      PROGSTACK$(0), \
	      PROGSTACK$(1),PROGSTACK$(2),PROGSTACK$(3),PROGSTACK$(4), \
	      PROGSTACK$(5),PROGSTACK$(6),PROGSTACK$(7),PROGSTACK$(8), \
	      PROGSTACK$(9),PROGSTACK$(10),PROGSTACK$(11),PROGSTACK$(12), \
	      PROGSTACK$(13),PROGSTACK$(14),PROGSTACK$(15),PROGSTACK$(16), \
	      PROGSTACK$(17),PROGSTACK$(18),PROGSTACK$(19),PROGSTACK$(20), \
	      DATASTACK$(0), \
	      DATASTACK$(1),DATASTACK$(2),DATASTACK$(3),DATASTACK$(4), \ 
	      DATASTACK$(5),DATASTACK$(6),DATASTACK$(7),DATASTACK$(8), \ 
	      DATASTACK$(9),DATASTACK$(10),DATASTACK$(11),DATASTACK$(12), \ 
	      DATASTACK$(13),DATASTACK$(14),DATASTACK$(15),DATASTACK$(16), \ 
	      DATASTACK$(17),DATASTACK$(18),DATASTACK$(19),DATASTACK$(20), \ 
	      CDR.CONAME$,CDR.COADDR1$,CDR.COADDR2$,CDR.COCITY$, \
	      CDR.COSTATE$,CDR.COZIP$,HDR.HEAD$,FUNCTION$, \
	      EDR.SYSDATE$,EDR.PRTCOLS%,EDR.DISKS%, \
	      SYSDRIVE$,EDR.SYSBUF$,EDR.MAXRECL%, \
%INCLUDE MBASETDR
	   CLOSE 20
	GOTO .00009
.00001	PRINT:PRINT
	PRINT">> Fatal Error:  Program called improperly.  Cannot Continue"+ \
	   CHR$(07)
	STOP
.00009	REM CONTINUE ON

